#!/bin/bash
RL=`readlink -f "$0"`
DD=`dirname "$RL"`
yum upgrade
yum install perl perl-core perl-YAML perl-CPAN perl-IPC-Run gcc-c++ icu libicu-devel subversion autoconf automake cmake boost-devel
yum install glibc.i686
cpan -i 'YAML'
cpan -i 'Bundle::CPAN'
cpan -i 'Encode'
cpan -i 'DB_File'
cpan -i 'DBM_Filter'
cpan -i 'IPC::Run'
cpan -i 'SDBM_File'
cpan -i 'MLDBM::Sync'
cpan -i 'Digest::SHA1'
cpan -i 'Getopt::Long'
cd /tmp/
rm -rf vislcg3
svn export http://beta.visl.sdu.dk/svn/visl/tools/vislcg3/trunk vislcg3
cd vislcg3/
./cmake.sh
make -j3
./test/runall.pl
make install
rm -rf /opt/nedgram
cp -av "$DD" /opt/nedgram
echo ""
echo ""
echo "RUNNING SELFTEST:"
echo "Quaternionen vinden toepassing om te beschrijven hoe twee identieke voorwerpen in de ruimte op elkaar kunnen gebracht worden." | /opt/nedgram/nld.pl 2>/dev/null
echo ""
echo "If the above output looks correct then nedgram has successfully been installed to /opt/nedgram and can be run via /opt/nedgram/nld.pl"
echo "There is also a how-to text: /opt/nedgram/text/howto_nedgram.txt"
